org.jfree.chart.labels

## Class StandardCategoryItemLabelGenerator

- java.lang.Object
- - org.jfree.chart.labels.AbstractCategoryItemLabelGenerator
  - - org.jfree.chart.labels.StandardCategoryItemLabelGenerator

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, CategoryItemLabelGenerator, org.jfree.util.PublicCloneable

Direct Known Subclasses:
  IntervalCategoryItemLabelGenerator

    public class StandardCategoryItemLabelGenerator
    extends AbstractCategoryItemLabelGenerator
    implements CategoryItemLabelGenerator, java.lang.Cloneable, org.jfree.util.PublicCloneable, java.io.Serializable

A standard label generator that can be used with a `CategoryItemRenderer`.

See Also:
  Serialized Form

### Field Summary

Fields
`static java.lang.String` `DEFAULT_LABEL_FORMAT_STRING` The default format string.

### Constructor Summary

Constructors
Constructor and Description
`StandardCategoryItemLabelGenerator()` Creates a new generator with a default number formatter.
`StandardCategoryItemLabelGenerator(java.lang.String labelFormat, java.text.DateFormat formatter)` Creates a new generator with the specified date formatter.
`StandardCategoryItemLabelGenerator(java.lang.String labelFormat, java.text.NumberFormat formatter)` Creates a new generator with the specified number formatter.
`StandardCategoryItemLabelGenerator(java.lang.String labelFormat, java.text.NumberFormat formatter, java.text.NumberFormat percentFormatter)` Creates a new generator with the specified number formatter.

### Method Summary

Methods
`boolean` `equals(java.lang.Object obj)` Tests this generator for equality with an arbitrary object.
`java.lang.String` `generateLabel(CategoryDataset dataset, int row, int column)` Generates the label for an item in a dataset.

### Methods inherited from class org.jfree.chart.labels.AbstractCategoryItemLabelGenerator

`clone, createItemArray, generateColumnLabel, generateLabelString, generateRowLabel, getDateFormat, getLabelFormat, getNumberFormat, hashCode`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.jfree.chart.labels.CategoryItemLabelGenerator

`generateColumnLabel, generateRowLabel`

### Methods inherited from interface org.jfree.util.PublicCloneable

`clone`

### Field Detail

#### DEFAULT_LABEL_FORMAT_STRING

    public static final java.lang.String DEFAULT_LABEL_FORMAT_STRING

The default format string.

See Also:
  Constant Field Values

### Constructor Detail

#### StandardCategoryItemLabelGenerator

    public StandardCategoryItemLabelGenerator()

Creates a new generator with a default number formatter.

#### StandardCategoryItemLabelGenerator

    public StandardCategoryItemLabelGenerator(java.lang.String labelFormat,
                                      java.text.NumberFormat formatter)

Creates a new generator with the specified number formatter.

Parameters:
  `labelFormat` - the label format string (`null` not permitted).
  `formatter` - the number formatter (`null` not permitted).

#### StandardCategoryItemLabelGenerator

    public StandardCategoryItemLabelGenerator(java.lang.String labelFormat,
                                      java.text.NumberFormat formatter,
                                      java.text.NumberFormat percentFormatter)

Creates a new generator with the specified number formatter.

Parameters:
  `labelFormat` - the label format string (`null` not permitted).
  `formatter` - the number formatter (`null` not permitted).
  `percentFormatter` - the percent formatter (`null` not permitted).
Since:
  1.0.2

#### StandardCategoryItemLabelGenerator

    public StandardCategoryItemLabelGenerator(java.lang.String labelFormat,
                                      java.text.DateFormat formatter)

Creates a new generator with the specified date formatter.

Parameters:
  `labelFormat` - the label format string (`null` not permitted).
  `formatter` - the date formatter (`null` not permitted).

### Method Detail

#### generateLabel

    public java.lang.String generateLabel(CategoryDataset dataset,
                                 int row,
                                 int column)

Generates the label for an item in a dataset. Note: in the current dataset implementation, each row is a series, and each column contains values for a particular category.

Specified by:
  `generateLabel` in interface `CategoryItemLabelGenerator`
Parameters:
  `dataset` - the dataset (`null` not permitted).
  `row` - the row index (zero-based).
  `column` - the column index (zero-based).
Returns:
  The label (possibly `null`).

#### equals

    public boolean equals(java.lang.Object obj)

Tests this generator for equality with an arbitrary object.

Overrides:
  `equals` in class `AbstractCategoryItemLabelGenerator`
Parameters:
  `obj` - the object (`null` permitted).
Returns:
  `true` if this generator is equal to `obj`, and `false` otherwise.